Bug 860621 - Got traceback for “rct cat-cert <entitlement cert serial number>-key.pem”
Got traceback for “rct cat-cert <entitlement cert serial number>-key.pem”
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: rc
: 6.4
Assigned To: candlepin-bugs
Entitlement Bugs
Depends On:
Blocks: 771481
  Show dependency treegraph
Reported: 2012-09-26 06:23 EDT by spandey
Modified: 2015-04-23 19:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: subscription-manager-1.1.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 03:56:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description spandey 2012-09-26 06:23:54 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Prerequisites : 
Rhel5.9 with following subscription-manager rpm.

Steps to repro : 
Register client to candlepin and subscribe any subscription.
Open <entitlement cert> -key.pem using rct tool.

Expected Result : 
No traceback should display on console , 
command should end with proper error message. 

Actual Result : 
[root@dhcp193-98 entitlement]# rct cat-cert 3848992664474006504-key.pem
Traceback (most recent call last):
  File "/usr/bin/rct", line 44, in ?
    sys.exit(abs(main() or 0))
  File "/usr/bin/rct", line 39, in main
    return RctCLI().main()
  File "/usr/share/rhsm/subscription_manager/cli.py", line 140, in main
    return cmd.main()
  File "/usr/share/rhsm/rct/commands.py", line 40, in main
    return_code = self._do_command()
  File "/usr/share/rhsm/rct/commands.py", line 70, in _do_command
    cert = self._create_cert()
  File "/usr/share/rhsm/rct/commands.py", line 75, in _create_cert
    return certificate.create_from_file(self._get_file_from_args())
  File "/usr/lib64/python2.4/site-packages/rhsm/certificate.py", line 59, in create_from_file
    return _CertFactory().create_from_file(path)
  File "/usr/lib64/python2.4/site-packages/rhsm/certificate2.py", line 63, in create_from_file
    return self._read_x509(_certificate.load(path), path, pem)
  File "/usr/lib64/python2.4/site-packages/rhsm/certificate2.py", line 75, in _read_x509
    raise CertificateException("Error loading certificate")
rhsm.certificate.CertificateException: Error loading certificate
Comment 1 Devan Goodwin 2012-10-02 15:47:04 EDT
Fixed by James Bowes separately in commit c23273d0. (subscription-manager master)

Already released in 1.1.1.

Unfortunately this was not for 5.9, and requires a new string, so we cannot fix for 5.9 beyond string freeze.

Pushing to 6.4.
Comment 4 Shwetha Kallesh 2012-11-06 01:38:14 EST

[root@rhel-64-server ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.7.17-1
subscription-manager: 1.1.5-1.el6
python-rhsm: 1.1.4-1.el6

[root@rhel-64-server ~]# rct cat-cert /etc/pki/entitlement/1589641349868239033-key.pem 
Unable to read certificate file '/etc/pki/entitlement/1589641349868239033-key.pem': Error loading certificate
Comment 6 errata-xmlrpc 2013-02-21 03:56:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.